Bug 1253398 - ClusteredInvoker should reuse HttpInvokers (performance)
ClusteredInvoker should reuse HttpInvokers (performance)
Status: ON_QA
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: ---
Assigned To: tcunning
Pavel Macik
:
Depends On:
Blocks: 1214695
  Show dependency treegraph
 
Reported: 2015-08-13 11:58 EDT by Rick Wagner
Modified: 2016-01-07 07:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2771 Major Resolved ClusteredInvoker should reuse HttpInvokers (performance) 2016-03-30 08:27 EDT

  None (edit)
Description Rick Wagner 2015-08-13 11:58:56 EDT
ClusteredInvoker needs to reuse HttpInvokers (otherwise we may have performance problems downstream because a new invoker means a new Serializer, a new ObjectMapper within that serializer, etc etc).

https://github.com/errantepiphany/switchyard-core/blob/master/remote/src/main/java/org/switchyard/remote/cluster/ClusteredInvoker.java#L57

David Ward notes :
What could be done to improve performance is...
2:08 Have a WeakHashMap that maps the URL behind ep.getEndpoint() to an HttpInvoker.
2:09 That way we only create new HttpInvokers for new URLs (which doesn't happen much), but since it's a WeakHashMap, the GC can clean it up if endpoint URLs change.
Comment 1 tcunning 2015-10-12 12:23:56 EDT
Backported to 1.x core.

Note You need to log in before you can comment on or make changes to this bug.